This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 477304 - renice should be quiet by default
renice should be quiet by default
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: util-linux-ng (Show other bugs)
10
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-20 03:31 EST by Watanabe, Yuki
Modified: 2009-03-19 05:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-19 05:47:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Watanabe, Yuki 2008-12-20 03:31:05 EST
Description of problem:
When the renice command is invoked, it prints the old and new
nice values to the standard output, but this behavior is not
posixly correct.
POSIX says stdout is not used by the command,
which means nothing must be written to stdout.

We should make the command print nothing by default and
possibly add some option to restore the current behavior.

Version-Release number of selected component (if applicable):
util-linux-ng-2.14.1-3.1.fc10.x86_64
Comment 1 Karel Zak 2009-03-19 05:47:52 EDT
What about all the scripts that depend on the current Linux specific behaviour? 

This change is not backwardly compatible and I don't see any real and important enough reason to change the current behaviour. Sorry, it seems like a WONTFIX from my point of view.

If have any objections, please reopen.

Note You need to log in before you can comment on or make changes to this bug.